Skip to main content
`Ctrl`+`K`

# KSPSetPC

Sets the preconditioner to be used to calculate the application of the preconditioner on a vector.

## Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode KSPSetPC(KSP ksp, PC pc)

Collective

## Input Parameters

- ksp - iterative context obtained from `KSPCreate()`

- pc - the preconditioner object (can be `NULL`)

## Note

Use `KSPGetPC()` to retrieve the preconditioner context.

## See Also

KSP: Linear System Solvers, `KSPGetPC()`, `KSP`

## Level

developer

## Location

src/ksp/ksp/interface/itfunc.c

## Examples

src/ksp/ksp/tutorials/ex59.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages